<?php

require_once 'GetIconSrc.php';

/**
 * @group MsdViewHelper
 */
class GetIconSrcTest extends PHPUnit\Framework\TestCase
{
    public function testGetIconSrcForIconWithoutSize()
    {
        $expected = '/css/otc/icons/search.gif';
        $viewHelper = new Msd_View_Helper_GetIconSrc();
        $res = $viewHelper->getIconSrc('view');
        $this->assertEquals(true, is_string($res));
        $this->assertEquals($expected, $res);
    }

    public function testGetIconSrcForIconWithSize()
    {
        $expected = '/css/otc/icons/16x16/Edit.png';
        $viewHelper = new Msd_View_Helper_GetIconSrc();
        $res = $viewHelper->getIconSrc('Edit', 16);
        $this->assertEquals(true, is_string($res));
        $this->assertEquals($expected, $res);
    }

    /**
     * @expectedException Msd_Exception
     */
    public function testFailGetNonExistantIcon()
    {
        $viewHelper = new Msd_View_Helper_GetIconSrc();
        $viewHelper->getIconSrc('nonExistantIcon', 16);
    }
}

